Skip to main content

Dynamic Currency Conversion Authorizations


This section provides the information you need to process an authorization with Dynamic Currency Conversion.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "CRI Code",    "comments": "IndustrySpecificValue",    "partner": {      "developerId": "ptpDevID",      "solutionId": "ptpSolutionId",      "thirdPartyCertificationNumber": "ptpTPCN"    },    "transactionId": "uniqueTranId123"  },  "merchantInformation": {    "transactionLocalDateTime": "20240122115959"  },  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": 9900.00,      "exchangeRate": 1.05,      "originalAmount": 9428.57,      "originalCurrency": "EUR",      "currencyConversion": {        "indicator": 1      }    }  },  "paymentInformation": {    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "entryMode": "contactless",    "terminalCapability": 4,    "terminalPinCapability": 0,    "trackData": ";4176xxxxxxxxx0034=311220111523358?",    "emv": {      "cardSequenceNumber": "03",      "tags": "820220008407A0000000031010950500000000009F33030060C09F02060000009900009F03060000000001009F1A0208409C01005F2A0208409A032404179F3704543B54D19F3501219F34031F03025F3401039F10201F220100A000000000564953414C3354455354434153450000000000000000009F2608F152DAE24E7A27DA9F2701809F360200029F6E0420700080"    }  },  "processingInformation": {    "commerceIndicator": "retail"  }}
{  "_links": {    "authReversal": {      "method": "POST",      "href": "/pts/v2/payments/7413044040886819903813/reversals"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7413044040886819903813"    },    "capture": {      "method": "POST",      "href": "/pts/v2/payments/7413044040886819903813/captures"    }  },  "clientReferenceInformation": {    "code": "CRI Code",    "comments": "IndustrySpecificValue",    "partner": {      "developerId": "ptpDevID",      "solutionId": "ptpSolutionId"    },    "transactionId": "uniqueTranId123"  },  "id": "7413044040886819903813",  "orderInformation": {    "amountDetails": {      "authorizedAmount": "9900.00",      "currency": "USD"    }  },  "paymentAccountInformation": {    "card": {      "type": "001"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "A",      "group": "0"    },    "tokenizedCard": {      "type": "001"    },    "card": {      "type": "001"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "9F36020015910AB58D60185BEF0247303072179F180430303031860E04DA9F580903B1BAEDFD1438BA48"    }  },  "processorInformation": {    "systemTraceAuditNumber": "739787",    "approvalCode": "831000",    "networkTransactionId": "016153570198200",    "retrievalReferenceNumber": "506523739787",    "transactionId": "016153570198200",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7413044040886819903813",  "status": "AUTHORIZED",  "submitTimeUtc": "2025-03-06T23:40:04Z"}
FieldDescription
clientReferenceInformation.code—
clientReferenceInformation.commentsSet the value to UseIndustryDesignatedValue.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber—
clientReferenceInformation.transactionIdSet the value to a unique value to manage timeout scenarios when a response is not received.
merchantInformation.transactionLocalDateTime—
orderInformation.amountDetails.currency—
orderInformation.amountDetails.currencyConversion.indicator—
orderInformation.amountDetails.exchangeRate—
orderInformation.amountDetails.originalAmount—
orderInformation.amountDetails.originalCurrency—
orderInformation.amountDetails.totalAmount—
paymentInformation.card.type—
pointOfSaleInformation.emv.cardSequenceNumberSet the value to the EMV Tag 5F34 value personalized on the chip. Otherwise, do not include the field.
pointOfSaleInformation.emv.tags—
pointOfSaleInformation.terminalCapability—
pointOfSaleInformation.terminalPinCapability—
pointOfSaleInformation.trackData—
processingInformation.commerceIndicatorSet the value to retail.
Optional Fields
FieldDescription
orderInformation.amountDetails.currencyConversion.reconciliationId—
orderInformation.amountDetails.exchangeRateTimeStamp—

Last published: September 29, 2026